post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to view the data for each report based on the specified account and tool.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account name to fetch report data | Yes | string |
| reportapi | Name of the report API | Yes | string |
| organization | Organization name for fetching reports | Yes | string |
| tool | Tool identifier (AE, PM, VM, CM, etc.) | Yes | string |
| startdate | Start date in yyyy-MM-dd format | No | string |
| enddate | End date in yyyy-MM-dd format | No | string |
| sanerenabledhosts | Filter for Saner-enabled hosts (true/false) | No | string |
| installedstartdate | Installed patches start date (yyyy-MM-dd) | No | string |
| installedenddate | Installed patches end date (yyyy-MM-dd) | No | string |
| releasedstartdate | Released patches start date (yyyy-MM-dd) | No | string |
| releasedenddate | Released patches end date (yyyy-MM-dd) | No | string |
| limit | Number of results per page | No | string |
| page | Page number for pagination | No | string |
| apifilters | Filters for refining results (tags, severity, reference, etc.) | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Report.getApiData(
accountid="Demo Account",
organization="Demo Org",
reportapi="Patch Job Status",
tool="PM",
apifilters=[
{
"createdBy": [
"Admin"
]
}
]
)
print(response)
client.close()Requires Python 3.9 or later.